.image-banner {
	position: relative;

	&:hover {
		@media (--m) {
			& .image-banner__image::after {
				background-color: rgba(0, 0, 0, 0.25);
			}
		}
	}
}

.image-banner--radius {
	border-radius: 6px;
	overflow: hidden;
}

.image-banner__image {
	& img.image__img {
		position: static;
		width: 100%;
	}
}

.image-banner__link {
	@mixin abs-full;

	z-index: 3;
}
